clear WP 
% This function provide the flightplan based on the constant Scenario given
% in run.m. The flightplan is plotted.
% for initial position, orientation and speed see init_Model_Cessna172SP.m

switch(Scenario)
case 1   
    WP(:,1) = [0    0       0]';
    WP(:,2) = [4000 0       0]';
    WP(:,3) = [4000 -4000    0]';
    WP(:,4) = [9000 -4000    0]';
case 2
    WP(:,1) = [0 0 -30]';
    WP(:,2) = [14000 0 -200]';
    WP(:,3) = [18000 0 -200]';
end


%%%%%%%%%%%%%%
%%%% Plotting:

clf %clearing figure
figure(1)
hold on

plot(WP(2,:),WP(1,:),'g*') %waypoints

length = size(WP);
for i = 1:length(2) %Down values
    strValues = strtrim(cellstr(num2str([WP(3,i)],'(D = %d m)'))); 
    text(WP(2,i),WP(1,i),strValues,'VerticalAlignment','bottom');
end
plot(WP(2,:),WP(1,:),'g') %lines
axis equal
xlabel('E [m]');
ylabel('N [m]');

