% This script initiates the constants of the kinematic controller and the
% reference model.

%% Controller
%PID constants:
PID.U_saturation = [0.04 1 0.04]';

PID.roll.sat = 2; % [rad] 2 10 1
PID.roll.Kp = 10; %10
PID.roll.Ki = 0;  %1

PID.pitch.sat = 0.5; % [rad] 
PID.pitch.Kp = 0.5; 
PID.pitch.Ki = 0.01; 

PID.yaw.sat = 0.10; % [rad]
PID.yaw.Kpbank = 0.2;
PID.yaw.Kibank = 0.05;

%% Reference model
RefMod.roll.omega = 1.5;
RefMod.roll.zeta = 0.8;
RefMod.roll.velsat = 6*pi/180; %[rad] 6 grad/s velocity saturation

RefMod.pitch.omega = 2.5;
RefMod.pitch.zeta = 0.8;
RefMod.pitch.velsat = 4*pi/180; %[rad] 4 grad/s velocity saturation

RefMod.yaw.omega = 0.5;
RefMod.yaw.zeta = 0.8;
RefMod.yaw.velsat_bank = 2.5*pi/180;    %[rad] 2.5 grad/s velocity saturation