% This script plots trajectorys of the system after simulation

close all
planeN = simout_eta.signals.values(:,1);
planeE = simout_eta.signals.values(:,2);
planeD = simout_eta.signals.values(:,3);

    mid = [100,350];
    width = 580;
figure('Position',[mid,width,400])
subplot(1,2,1)
%% Subplot 1: Plotting waypoints+lines, hight label, waypoint number
hold on

plot(planeE, planeN);
length = size(WP);

plot(WP(2,:),WP(1,:),'g') %lines
plot(WP(2,:),WP(1,:),'g*') %waypoints
title('NE-plot with hight labels');
axis equal
xlabel('East [m]')
ylabel('North [m]')
hold off

for i=1:length(2)   
    strValues = strtrim(cellstr(num2str([i-1,WP(3,i)],'(WP %d)\n(D = %d m)'))); %Waypoint numbering
    text(WP(2,i),WP(1,i),strValues,'VerticalAlignment','Middle');
end

subplot(1,2,2)
%% Subplot 2: Plotting waypoints+lines, timestamps
hold on
timetemp = simout_eta.time(:,1);

plot(planeE, planeN);
length = size(WP);

plot(WP(2,:),WP(1,:),'g') %lines
plot(WP(2,:),WP(1,:),'g*') %waypoints
title('NE-plot with hight labels');
axis equal
xlabel('East [m]')
ylabel('North [m]')
hold off

n = size(timetemp);
n = n(1);
N = 9; %number of timestamps distributed along the simulation
k = floor(n/N);
for i = 1:N
   time(i) = round(timetemp(i*k,1));
end
for i = 1:N
    timeValues = strtrim(cellstr(num2str(time(i),'(t = %d s)'))); 
    text(planeE(k*i),planeN(k*i),timeValues,'VerticalAlignment','Bottom');
end 

%export_fig simulation.pdf

%simulation plot with hight labels
figure('Position',[mid,width,400])
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
hold on
plot(WP(2,:),WP(1,:),'g*')
plot(WP(2,:),WP(1,:),'g')
plot(planeE, planeN);
length = size(WP);
title('NE-plot with hight labels');
axis equal
xlabel('East [m]')
ylabel('North [m]')
hold off
for i=1:length(2)   
    strValues = strtrim(cellstr(num2str([i-1],'(WP %d)'))); %Waypoint numbering
    text(WP(2,i),WP(1,i),strValues,'VerticalAlignment','Middle');
end
%export_fig wpsimulation.pdf

%simulation plot hight vs time
figure('Position',[mid,width,400])
hold on
plot(timetemp, planeD);
set(gca,'YDir','Reverse')
title('Hight graph');
axis equal
xlabel('time [t]')
ylabel('Down [m]')
hold off


